### Method

# Ggit Patch get_line_stats

#### Declaration [src]

    gboolean
    ggit_patch_get_line_stats (
      GgitPatch* patch,
      gsize* total_context,
      gsize* total_additions,
      gsize* total_deletions,
      GError** error
    )

#### Description [src]

Get the line statistics of the patch.

#### Parameters

`total_context`

  Type: `gsize*`

  Return value for the number of context lines.

  The argument will be set by the function.
  The argument can be `NULL`.

`total_additions`

  Type: `gsize*`

  Return value for the number of added lines.

  The argument will be set by the function.
  The argument can be `NULL`.

`total_deletions`

  Type: `gsize*`

  Return value for the number of deleted lines.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successfull, `FALSE` otherwise.